﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using RazorExample.Models;

namespace RazorExample.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var allProducts = new AllProducts();

            return View(allProducts);
        }

        public ActionResult IndividualProduct(int id)
        {
            var allProducts = new AllProducts();

            var product = allProducts.ThatHasId(id);

            return View(product);
        }

        public ActionResult ListProductsOfType(string productType)
        {
            ProductType type = (ProductType)Enum.Parse(typeof(ProductType), productType, true);

            var allProducts = new AllProducts();
            var products = allProducts.ThatAreOfType(type);


            return View(products);
        }
    }
}
