﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace RazorExample.Models
{
    public class AllProducts : IEnumerable<Product>
    {
        private List<Product> _Products = new List<Product>();

        public AllProducts()
        {
            _Products.Add(new Product { Name = "Computer", Id = 1, Type = ProductType.Electronics });
            _Products.Add(new Product { Name = "Blu Ray Player", Id = 2, Type = ProductType.Electronics });
            _Products.Add(new Product { Name = "Guitar", Id = 3, Type = ProductType.MusicalInstruments });
            _Products.Add(new Product { Name = "Piano", Id = 4, Type = ProductType.MusicalInstruments });
            _Products.Add(new Product { Name = "Build Your Own Wicked Wordpress Themes", Id = 5, Type = ProductType.Books });
            _Products.Add(new Product { Name = "JavaScript 24-Hour Trainer", Id = 6, Type = ProductType.Books });
        }

        public IEnumerable<Product> ThatAreOfType(ProductType type)
        {
            return _Products.Where(p => p.Type == type).ToArray();
        }

        public Product ThatHasId(int id)
        {
            return _Products.Where(p => p.Id == id).SingleOrDefault();
        }

        public IEnumerator<Product> GetEnumerator()
        {
            return _Products.GetEnumerator();
        }

        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return _Products.GetEnumerator();
        }
    }
}